> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get delegators by operator address

> This endpoint returns the delegation history of delegators to an operator address

This endpoint behaves similar to [`GET /v1/eigenlayer/delegators/\{delegator\_address}/delegations`](/rated-api/api-reference/v1/eigenlayer/metadata/get-delegations-by-delegator) endpoint, except that is acts at an operator level. By querying the endpoint using an operator's specific address, you can see the history of delegators that have delegated to this operator. Delegations wherein `toDate` is `None` means those are active.


## OpenAPI

````yaml get /v1/eigenlayer/entities/{operator_address}/delegations
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eigenlayer/entities/{operator_address}/delegations:
    get:
      tags:
        - Eigenlayer Delegations
      summary: Get delegators by operator address
      description: >-
        This endpoint returns the delegation history of delegators to an
        operator address
      operationId: >-
        get_entities_delegations_v1_eigenlayer_entities__operator_address__delegations_get
      parameters:
        - name: operator_address
          in: path
          required: true
          schema:
            type: string
            title: Operator Address
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedNestedEigenlayerDelegation'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    PaginatedNestedEigenlayerDelegation:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          additionalProperties:
            items:
              $ref: '#/components/schemas/EigenlayerDelegation'
            type: array
          type: object
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedNestedEigenlayerDelegation
      examples:
        - next: https://endpoint?limit=10&offset=10
          pages: 10
          previous: https://endpoint?limit=10&offset=10
          results:
            '0xfff1ce616cf83327981bf61396ad0c04e0c8b771':
              - - delegator: '0xfff1ce616cf83327981bf61396ad0c04e0c8b771'
                  fromDate: '2024-10-01T18:13:27.584133'
                  operator:
                    - address: '0x74134d0c91798d720a5585364bb4be7396c5b973'
                      name: Bob the Operator
              - delegator: '0xfff1ce616cf83327981bf61396ad0c04e0c8b771'
                fromDate: '2024-03-28T18:13:27.584133'
                operator:
                  address: '0x1534d0c91798d720a5585364bb4be7396c5b973'
                  name: Patrick the Postman
                toDate: '2024-09-21T18:13:27.584133'
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    EigenlayerDelegation:
      properties:
        delegator:
          type: string
          title: Delegator
        eigenpodAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Eigenpodaddress
        operator:
          $ref: '#/components/schemas/api__schemas__eigenlayer__delegations__Operator'
        fromDate:
          type: string
          format: date-time
          title: Fromdate
        toDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Todate
      type: object
      required:
        - delegator
        - eigenpodAddress
        - operator
        - fromDate
        - toDate
      title: EigenlayerDelegation
      examples:
        - delegator: '0xfff1ce616cf83327981bf61396ad0c04e0c8b771'
          fromDate: '2024-10-01T18:13:27.584133'
          operator:
            - address: '0x74134d0c91798d720a5585364bb4be7396c5b973'
              name: Bob the Operator
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
    api__schemas__eigenlayer__delegations__Operator:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        address:
          type: string
          title: Address
      type: object
      required:
        - name
        - address
      title: Operator
      examples:
        - address: '0x74134d0c91798d720a5585364bb4be7396c5b973'
          name: Bob the Operator
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````